petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexVecRestoreClosure

Restore the array of the values on the closure of 'point'

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVecRestoreClosure(DM dm, PetscSection section, Vec v, PetscInt point, PetscInt *csize, PetscScalar *values[])

Not collective

### Input Parameters

| dm | - The DM
| section | - The section describing the layout in v, or NULL to use the default section
| v | - The local vector
| point | - The point in the DM
| csize | - The number of values in the closure, or NULL
| values | - The array of values, which is a borrowed array and should not be freed

Note that the array values are discarded and not copied back into v. In order to copy values back to v, use DMPlexVecSetClosure()

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

The csize argument is not present in the Fortran 90 binding since it is internal to the array.

### See Also

DMPlexVecGetClosure(), DMPlexVecSetClosure(), DMPlexMatSetClosure()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages